# Class FirebaseAppCheckHttpInterceptor

#### Implements

- HttpInterceptor

- Defined in lib/firebase-app-check.http-interceptor.ts:27

#####
Index

### Constructors

constructor

### Properties

appCheck
enabled
urlPattern

### Methods

intercept
isMatch

## Constructors

### constructor

- new FirebaseAppCheckHttpInterceptor(appCheck, urlPattern, enabled): FirebaseAppCheckHttpInterceptor

- #### Parameters

  - appCheck: AppCheck
  - urlPattern: RegExp | RegExp[]
  - enabled: boolean

  #### Returns FirebaseAppCheckHttpInterceptor

  - Defined in lib/firebase-app-check.http-interceptor.ts:31

## Properties

### `Readonly` appCheck

appCheck: AppCheck

- Defined in lib/firebase-app-check.http-interceptor.ts:32

### `Private` `Readonly` enabled

enabled: boolean

- Defined in lib/firebase-app-check.http-interceptor.ts:37

### `Private` `Readonly` urlPattern

urlPattern: RegExp[] = []

- Defined in lib/firebase-app-check.http-interceptor.ts:29

## Methods

### intercept

- intercept(req, next): Observable<HttpEvent<any>>

- #### Parameters

  - req: HttpRequest<any>
  - next: HttpHandler

  #### Returns Observable<HttpEvent<any>>

  Implementation of HttpInterceptor.intercept

  - Defined in lib/firebase-app-check.http-interceptor.ts:42

### `Private` isMatch

- isMatch(req): boolean

- #### Parameters

  - req: HttpRequest<any>

  #### Returns boolean

  - Defined in lib/firebase-app-check.http-interceptor.ts:56